Bug 1280498 - python-qpid clients silently hang if the Selector thread exits unexpectedly
python-qpid clients silently hang if the Selector thread exits unexpectedly
Status: POST
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken Giusti
Messaging QE
:
Depends On: 1281546 1249608
Blocks: 1281551
  Show dependency treegraph
 
Reported: 2015-11-11 17:10 EST by Ken Giusti
Modified: 2016-03-28 18:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1281551 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-6839 None None None Never

  None (edit)
Description Ken Giusti 2015-11-11 17:10:50 EST
Description of problem:


Should the background Selector thread exit due to an error - like an unhandled exception - the foreground client thread will hang indefinitely. 

Worse, the failure is not logged at all.
Comment 1 Ken Giusti 2015-11-12 09:48:49 EST
Fix pushed upstream:

https://svn.apache.org/r1713943
Comment 2 Mike McCune 2016-03-28 18:52:26 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.